/**
 * Copyright 2020 IBM Corp. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.opengroup.osdu.register.provider.ibm.ddms.datastore;

import org.opengroup.osdu.register.ddms.model.Ddms;

public class DdmsDoc extends Ddms {
	private String _id;
	private String _rev;

	public DdmsDoc(Ddms ddms) {
		super();

		this.set_id(ddms.getId());
		super.setName(ddms.getName());
		super.setDescription(ddms.getDescription());
		super.setContactEmail(ddms.getContactEmail());
		super.setInterfaces(ddms.getInterfaces());
	}

	public String get_id() {
		return _id;
	}

	public void set_id(String _id) {
		this._id = _id;
	}

	public String get_rev() {
		return _rev;
	}

	public void set_rev(String _rev) {
		this._rev = _rev;
	}

	public Ddms getDdms() {
		Ddms ddms = new Ddms();
		ddms.setId(this.get_id());
		ddms.setName(this.getName());
		ddms.setDescription(this.getDescription());
		ddms.setContactEmail(this.getContactEmail());
		ddms.getCreatedDateTimeEpoch();
		ddms.setInterfaces(this.getInterfaces());
		return ddms;
	}

	@Override
	public String toString() {
		return "DdmsDoc [_id=" + _id + ", _rev=" + _rev + ", getDdms()=" + getDdms() + "]";
	}

}
